# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLDListElement Class Reference

Definition list. More...

`#include <html_list.h>`

Inheritance diagram for DOM::HTMLDListElement:

[legend]
Collaboration diagram for DOM::HTMLDListElement:

[legend]
List of all members.

## Public Member Functions

| HTMLDListElement (const HTMLDListElement &other)
| HTMLDListElement (const Node &other)
HTMLDListElement & | operator= (const HTMLDListElement &other)
HTMLDListElement & | operator= (const Node &other)
bool | compact () const
void | setCompact (bool)

## Protected Member Functions

| HTMLDListElement (HTMLDListElementImpl *impl)

## Detailed Description

Definition list.

See the DL element definition in HTML 4.0.

Definition at line 52 of file html_list.h.

## Member Function Documentation

bool HTMLDListElement::compact | ( |  | ) | const

| Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 58 of file html_list.cpp.

void HTMLDListElement::setCompact | ( | bool |  | ) |

| see compact Definition at line 64 of file html_list.cpp.

The documentation for this class was generated from the following files:

- html_list.h
- html_list.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:24 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003